Template
List response templates
GET /template
GET /template
Returns the paginated list of response templates that agents can insert into tickets. When no template matches the provided filters the API responds with HTTP 404.
Query parameters
offsetintegerqueryNumber of templates to skip before starting to collect the result set.
limitintegerqueryMaximum number of templates to return.
qstringqueryOptional full-text search term applied to description and message fields.
aiAgentIdintegerqueryFilter templates that are linked to a specific AI Agent. Acts as a tag filter internally.
Responses
200 — Templates found
Response Example
{
"templates": [
{
"id": 1,
"tagId": 1,
"emailTemplateId": 1,
"description": "Zählerstand erfolgreich hinterlegt",
"message": "<p>Wir haben den Zählerstand von {{intent.data.reading}} kWh für den {{formatDateDE intent.data.date}} erfasst und im System hinterlegt.</p>",
"subject": "Wir brauchen Deine Unterstützung",
"exampleTicketIds": [
1
],
"mergedTemplate": "Wir haben den Zählerstand von 123 kWh für den 01.01.2022 erfasst und im System hinterlegt.",
"template": "<p>Wir haben den Zählerstand von 123 kWh für den 01.01.2022 erfasst und im System hinterlegt.</p>",
"success": true
}
],
"success": true
}403 — Unauthorized
404 — No templates match the provided filters
500 — Internal error